contactApp = angular.module("ContactApp", []);

contactApp.controller("ContactController", function($scope, $http) {
	$scope.contact = {};
	
	$scope.getAll = function() {
		$http.get('api/contact')
			.success(function(data) {				
				$scope.contacts = data;
			});
	};
	
	$scope.create = function() {
		$http.put('api/contact', $scope.contact)
			.success(function() {
				$scope.contact = {};
				$scope.getAll();
			});
	};
	
	$scope.get = function(id) {
		$http.get('api/contact/' + id)
			.success(function(data) {	
				$scope.contact = data;
			});
	};
	
	$scope.getAll();
});
