package com.javacodegeeks.examples.restfulbackend.contact.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.javacodegeeks.examples.restfulbackend.contact.domain.Contact;
import com.javacodegeeks.examples.restfulbackend.contact.repository.ContactRepository;

@Service
public class SpringContactService implements ContactService {
	@Autowired
	private ContactRepository contactRepository;
	
	@Override
	public void create(Contact contactToCreate) {
		this.contactRepository.create(contactToCreate);
	}

	@Override
	public List<Contact> get() {
		return this.contactRepository.get();
	}

	@Override
	public Contact getById(Integer id) {
		return this.contactRepository.getById(id);
	}

}
